Hide replies v2
API reference contents
PUT /labs/2/tweets/:id/hidden
Hides a Tweet.
Endpoint URL
https://api.twitter.com/labs/2/tweets/:id/hiddenAuthentication and rate limits
| Authentication methods supported by this endpoint | |
|---|---|
| Rate limit | 10 requests per 15-minute window |
Learn more about rate limits.
Path parameters
| Name | Type | Description |
|---|---|---|
idRequired | string | Unique identifier of the Tweet to hide. The Tweet must belong to a conversation initiated by the authenticating user. |
JSON body parameters
| Name | Type | Description |
|---|---|---|
hiddenRequired | boolean | Indicates this reply needs to be hidden. The only value allowed is true. |
Examples
Response
- Success
{"data":{"hidden":true}}
Response fields
| Name | Type | Description |
|---|---|---|
hidden | boolean | Indicates if the Tweet was successfully hidden. |